Changeset 786


Ignore:
Timestamp:
Jun 1, 2006 12:10:46 AM (13 years ago)
Author:
andreasw
Message:

A number of unifying stylistic changes

Location:
trunk/Clp
Files:
5 edited

Legend:

Unmodified
Added
Removed
  • trunk/Clp/Makefile.in

    r783 r786  
    6565        $(top_srcdir)/examples/Makefile.in \
    6666        $(top_srcdir)/inc/config_clp.h.in AUTHORS INSTALL
    67 @HAVE_EXTERNALS_TRUE@@MAINTAINER_MODE_TRUE@am__append_2 = .Externals-stamp
    68 @HAVE_EXTERNALS_TRUE@@MAINTAINER_MODE_TRUE@am__append_3 = Externals
     67@HAVE_EXTERNALS_TRUE@am__append_2 = Externals
     68@HAVE_EXTERNALS_TRUE@am__append_3 = .Externals-stamp
    6969subdir = .
    7070ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     
    7777mkinstalldirs = $(install_sh) -d
    7878CONFIG_HEADER = $(top_builddir)/inc/config_clp.h
    79 CONFIG_CLEAN_FILES = examples/Makefile clp_addlibs.txt \
    80         examples/hello.mps examples/input.130
     79CONFIG_CLEAN_FILES = examples/Makefile clp_addlibs.txt
    8180SOURCES =
    8281DIST_SOURCES =
     
    179178STRIP = @STRIP@
    180179VERSION = @VERSION@
     180VPATH_DISTCLEANFILES = @VPATH_DISTCLEANFILES@
    181181abs_bin_dir = @abs_bin_dir@
    182182abs_include_dir = @abs_include_dir@
     
    256256        examples/testBasis.cpp examples/testGub2.cpp \
    257257        examples/testGub.cpp examples/testQP.cpp \
    258         examples/useVolume.cpp $(am__append_3)
     258        examples/useVolume.cpp $(am__append_2)
    259259
    260260########################################################################
     
    268268
    269269# Files that are generated and should be cleaned with make distclean
    270 DISTCLEANFILES = $(am__append_2)
     270DISTCLEANFILES = $(am__append_3) $(VPATH_DISTCLEANFILES)
    271271all: all-recursive
    272272
  • trunk/Clp/configure

    r784 r786  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE COIN_DEBUG_TRUE COIN_DEBUG_FALSE CDEFS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXXDEFS CXX CXXFLAGS ac_ct_CXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake BUILDTOOLSDIR AUX_DIR HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LT_LDFLAGS abs_lib_dir abs_include_dir abs_bin_dir RPATH_FLAGS COINUTILSSRCDIR COINUTILSOBJDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE CLPSRCDIR CLPOBJDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE COIN_DEBUG_TRUE COIN_DEBUG_FALSE CDEFS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXXDEFS CXX CXXFLAGS ac_ct_CXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake BUILDTOOLSDIR AUX_DIR HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LT_LDFLAGS abs_lib_dir abs_include_dir abs_bin_dir RPATH_FLAGS COINUTILSSRCDIR COINUTILSOBJDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE CLPSRCDIR CLPOBJDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE LIBOBJS LTLIBOBJS VPATH_DISTCLEANFILES'
    476476ac_subst_files=''
    477477
     
    15441544
    15451545
     1546# Where should everything be installed by default?  Here, we want it
     1547# to be installed directly in 'bin', 'lib', 'include' subdirectories
     1548# of the directory where configure is run.  The default would be
     1549# /usr/local.
     1550
     1551
    15461552#############################################################################
    15471553#                         Standard build tool stuff                         #
     
    16071613
    16081614
    1609 # Where should everything be installed by default?  Here, we want it
    1610 # to be installed directly in 'bin', 'lib', 'include' subdirectories
    1611 # of the directory where configure is run.  The default would be
    1612 # /usr/local.
    1613 
    1614 
    16151615# If this project depends on external projects, the Externals file in
    16161616# the source root directory contains definition of where to find those
     
    16321632fi
    16331633
     1634
     1635# We set the following variable so that we know later in AC_COIN_FINALIZE
     1636# that we are in a project main directory
     1637coin_projectdir=yes
    16341638
    16351639
     
    45314535*-*-irix6*)
    45324536  # Find out which ABI we are using.
    4533   echo '#line 4533 "configure"' > conftest.$ac_ext
     4537  echo '#line 4537 "configure"' > conftest.$ac_ext
    45344538  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    45354539  (eval $ac_compile) 2>&5
     
    56655669
    56665670# Provide some information about the compiler.
    5667 echo "$as_me:5667:" \
     5671echo "$as_me:5671:" \
    56685672     "checking for Fortran 77 compiler version" >&5
    56695673ac_compiler=`set X $ac_compile; echo $2`
     
    67326736   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    67336737   -e 's:$: $lt_compiler_flag:'`
    6734    (eval echo "\"\$as_me:6734: $lt_compile\"" >&5)
     6738   (eval echo "\"\$as_me:6738: $lt_compile\"" >&5)
    67356739   (eval "$lt_compile" 2>conftest.err)
    67366740   ac_status=$?
    67376741   cat conftest.err >&5
    6738    echo "$as_me:6738: \$? = $ac_status" >&5
     6742   echo "$as_me:6742: \$? = $ac_status" >&5
    67396743   if (exit $ac_status) && test -s "$ac_outfile"; then
    67406744     # The compiler can only warn and ignore the option if not recognized
     
    70007004   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    70017005   -e 's:$: $lt_compiler_flag:'`
    7002    (eval echo "\"\$as_me:7002: $lt_compile\"" >&5)
     7006   (eval echo "\"\$as_me:7006: $lt_compile\"" >&5)
    70037007   (eval "$lt_compile" 2>conftest.err)
    70047008   ac_status=$?
    70057009   cat conftest.err >&5
    7006    echo "$as_me:7006: \$? = $ac_status" >&5
     7010   echo "$as_me:7010: \$? = $ac_status" >&5
    70077011   if (exit $ac_status) && test -s "$ac_outfile"; then
    70087012     # The compiler can only warn and ignore the option if not recognized
     
    71047108   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    71057109   -e 's:$: $lt_compiler_flag:'`
    7106    (eval echo "\"\$as_me:7106: $lt_compile\"" >&5)
     7110   (eval echo "\"\$as_me:7110: $lt_compile\"" >&5)
    71077111   (eval "$lt_compile" 2>out/conftest.err)
    71087112   ac_status=$?
    71097113   cat out/conftest.err >&5
    7110    echo "$as_me:7110: \$? = $ac_status" >&5
     7114   echo "$as_me:7114: \$? = $ac_status" >&5
    71117115   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    71127116   then
     
    94499453  lt_status=$lt_dlunknown
    94509454  cat > conftest.$ac_ext <<EOF
    9451 #line 9451 "configure"
     9455#line 9455 "configure"
    94529456#include "confdefs.h"
    94539457
     
    95499553  lt_status=$lt_dlunknown
    95509554  cat > conftest.$ac_ext <<EOF
    9551 #line 9551 "configure"
     9555#line 9555 "configure"
    95529556#include "confdefs.h"
    95539557
     
    1189311897   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1189411898   -e 's:$: $lt_compiler_flag:'`
    11895    (eval echo "\"\$as_me:11895: $lt_compile\"" >&5)
     11899   (eval echo "\"\$as_me:11899: $lt_compile\"" >&5)
    1189611900   (eval "$lt_compile" 2>conftest.err)
    1189711901   ac_status=$?
    1189811902   cat conftest.err >&5
    11899    echo "$as_me:11899: \$? = $ac_status" >&5
     11903   echo "$as_me:11903: \$? = $ac_status" >&5
    1190011904   if (exit $ac_status) && test -s "$ac_outfile"; then
    1190111905     # The compiler can only warn and ignore the option if not recognized
     
    1199712001   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1199812002   -e 's:$: $lt_compiler_flag:'`
    11999    (eval echo "\"\$as_me:11999: $lt_compile\"" >&5)
     12003   (eval echo "\"\$as_me:12003: $lt_compile\"" >&5)
    1200012004   (eval "$lt_compile" 2>out/conftest.err)
    1200112005   ac_status=$?
    1200212006   cat out/conftest.err >&5
    12003    echo "$as_me:12003: \$? = $ac_status" >&5
     12007   echo "$as_me:12007: \$? = $ac_status" >&5
    1200412008   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1200512009   then
     
    1356713571   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1356813572   -e 's:$: $lt_compiler_flag:'`
    13569    (eval echo "\"\$as_me:13569: $lt_compile\"" >&5)
     13573   (eval echo "\"\$as_me:13573: $lt_compile\"" >&5)
    1357013574   (eval "$lt_compile" 2>conftest.err)
    1357113575   ac_status=$?
    1357213576   cat conftest.err >&5
    13573    echo "$as_me:13573: \$? = $ac_status" >&5
     13577   echo "$as_me:13577: \$? = $ac_status" >&5
    1357413578   if (exit $ac_status) && test -s "$ac_outfile"; then
    1357513579     # The compiler can only warn and ignore the option if not recognized
     
    1367113675   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1367213676   -e 's:$: $lt_compiler_flag:'`
    13673    (eval echo "\"\$as_me:13673: $lt_compile\"" >&5)
     13677   (eval echo "\"\$as_me:13677: $lt_compile\"" >&5)
    1367413678   (eval "$lt_compile" 2>out/conftest.err)
    1367513679   ac_status=$?
    1367613680   cat out/conftest.err >&5
    13677    echo "$as_me:13677: \$? = $ac_status" >&5
     13681   echo "$as_me:13681: \$? = $ac_status" >&5
    1367813682   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1367913683   then
     
    1587815882   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1587915883   -e 's:$: $lt_compiler_flag:'`
    15880    (eval echo "\"\$as_me:15880: $lt_compile\"" >&5)
     15884   (eval echo "\"\$as_me:15884: $lt_compile\"" >&5)
    1588115885   (eval "$lt_compile" 2>conftest.err)
    1588215886   ac_status=$?
    1588315887   cat conftest.err >&5
    15884    echo "$as_me:15884: \$? = $ac_status" >&5
     15888   echo "$as_me:15888: \$? = $ac_status" >&5
    1588515889   if (exit $ac_status) && test -s "$ac_outfile"; then
    1588615890     # The compiler can only warn and ignore the option if not recognized
     
    1614616150   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1614716151   -e 's:$: $lt_compiler_flag:'`
    16148    (eval echo "\"\$as_me:16148: $lt_compile\"" >&5)
     16152   (eval echo "\"\$as_me:16152: $lt_compile\"" >&5)
    1614916153   (eval "$lt_compile" 2>conftest.err)
    1615016154   ac_status=$?
    1615116155   cat conftest.err >&5
    16152    echo "$as_me:16152: \$? = $ac_status" >&5
     16156   echo "$as_me:16156: \$? = $ac_status" >&5
    1615316157   if (exit $ac_status) && test -s "$ac_outfile"; then
    1615416158     # The compiler can only warn and ignore the option if not recognized
     
    1625016254   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1625116255   -e 's:$: $lt_compiler_flag:'`
    16252    (eval echo "\"\$as_me:16252: $lt_compile\"" >&5)
     16256   (eval echo "\"\$as_me:16256: $lt_compile\"" >&5)
    1625316257   (eval "$lt_compile" 2>out/conftest.err)
    1625416258   ac_status=$?
    1625516259   cat out/conftest.err >&5
    16256    echo "$as_me:16256: \$? = $ac_status" >&5
     16260   echo "$as_me:16260: \$? = $ac_status" >&5
    1625716261   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1625816262   then
     
    1965919663esac
    1966019664
    19661 # Unless we are on Darwin, we want to use the -no-undefined flag for
    19662 # libtool to be able to create shared objects
    19663 case $build in
    19664   *-darwin*)
    19665     LT_LDFLAGS=
    19666     ;;
    19667   *)
    19668     LT_LDFLAGS=-no-undefined
    19669     ;;
    19670 esac
     19665# ToDo
     19666# For now, don't use the -no-undefined flag, since the Makefiles are
     19667# not yet set up that way.  But we need to fix this, when we want
     19668# to comile DLLs under Windows.
     19669LT_LDFLAGS=
    1967119670
    1967219671
     
    2015920158
    2016020159if test $coin_vpath_config = yes; then
    20161             ac_config_links="$ac_config_links examples/hello.mps:examples/hello.mps"
    20162 
     20160  coin_vpath_link_files="$coin_vpath_link_files examples/hello.mps"
    2016320161fi
    2016420162
    2016520163
    2016620164if test $coin_vpath_config = yes; then
    20167             ac_config_links="$ac_config_links examples/input.130:examples/input.130"
    20168 
     20165  coin_vpath_link_files="$coin_vpath_link_files examples/input.130"
    2016920166fi
    2017020167
     
    2018420181
    2018520182# Finally, we let configure write all the output...
     20183
    2018620184cat >confcache <<\_ACEOF
    2018720185# This file is a shell script that caches the results of configure
     
    2066420662$config_headers
    2066520663
    20666 Configuration links:
    20667 $config_links
    20668 
    2066920664Configuration commands:
    2067020665$config_commands
     
    2079020785  "test/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/Makefile" ;;
    2079120786  "clp_addlibs.txt" ) CONFIG_FILES="$CONFIG_FILES clp_addlibs.txt" ;;
    20792   "examples/hello.mps" ) CONFIG_LINKS="$CONFIG_LINKS examples/hello.mps:examples/hello.mps" ;;
    20793   "examples/input.130" ) CONFIG_LINKS="$CONFIG_LINKS examples/input.130:examples/input.130" ;;
    2079420787  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
    2079520788  "inc/config_clp.h" ) CONFIG_HEADERS="$CONFIG_HEADERS inc/config_clp.h" ;;
     
    2080720800  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
    2080820801  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
    20809   test "${CONFIG_LINKS+set}" = set || CONFIG_LINKS=$config_links
    2081020802  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
    2081120803fi
     
    2146321455
    2146421456#
    21465 # CONFIG_LINKS section.
    21466 #
    21467 
    21468 for ac_file in : $CONFIG_LINKS; do test "x$ac_file" = x: && continue
    21469   ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
    21470   ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
    21471 
    21472   { echo "$as_me:$LINENO: linking $srcdir/$ac_source to $ac_dest" >&5
    21473 echo "$as_me: linking $srcdir/$ac_source to $ac_dest" >&6;}
    21474 
    21475   if test ! -r $srcdir/$ac_source; then
    21476     { { echo "$as_me:$LINENO: error: $srcdir/$ac_source: file not found" >&5
    21477 echo "$as_me: error: $srcdir/$ac_source: file not found" >&2;}
    21478    { (exit 1); exit 1; }; }
    21479   fi
    21480   rm -f $ac_dest
    21481 
    21482   # Make relative symlinks.
    21483   ac_dest_dir=`(dirname "$ac_dest") 2>/dev/null ||
    21484 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    21485          X"$ac_dest" : 'X\(//\)[^/]' \| \
    21486          X"$ac_dest" : 'X\(//\)$' \| \
    21487          X"$ac_dest" : 'X\(/\)' \| \
    21488          .     : '\(.\)' 2>/dev/null ||
    21489 echo X"$ac_dest" |
    21490     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
    21491           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
    21492           /^X\(\/\/\)$/{ s//\1/; q; }
    21493           /^X\(\/\).*/{ s//\1/; q; }
    21494           s/.*/./; q'`
    21495   { if $as_mkdir_p; then
    21496     mkdir -p "$ac_dest_dir"
    21497   else
    21498     as_dir="$ac_dest_dir"
    21499     as_dirs=
    21500     while test ! -d "$as_dir"; do
    21501       as_dirs="$as_dir $as_dirs"
    21502       as_dir=`(dirname "$as_dir") 2>/dev/null ||
    21503 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    21504          X"$as_dir" : 'X\(//\)[^/]' \| \
    21505          X"$as_dir" : 'X\(//\)$' \| \
    21506          X"$as_dir" : 'X\(/\)' \| \
    21507          .     : '\(.\)' 2>/dev/null ||
    21508 echo X"$as_dir" |
    21509     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
    21510           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
    21511           /^X\(\/\/\)$/{ s//\1/; q; }
    21512           /^X\(\/\).*/{ s//\1/; q; }
    21513           s/.*/./; q'`
    21514     done
    21515     test ! -n "$as_dirs" || mkdir $as_dirs
    21516   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dest_dir\"" >&5
    21517 echo "$as_me: error: cannot create directory \"$ac_dest_dir\"" >&2;}
    21518    { (exit 1); exit 1; }; }; }
    21519 
    21520   ac_builddir=.
    21521 
    21522 if test "$ac_dest_dir" != .; then
    21523   ac_dir_suffix=/`echo "$ac_dest_dir" | sed 's,^\.[\\/],,'`
    21524   # A "../" for each directory in $ac_dir_suffix.
    21525   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
    21526 else
    21527   ac_dir_suffix= ac_top_builddir=
    21528 fi
    21529 
    21530 case $srcdir in
    21531   .)  # No --srcdir option.  We are building in place.
    21532     ac_srcdir=.
    21533     if test -z "$ac_top_builddir"; then
    21534        ac_top_srcdir=.
    21535     else
    21536        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
    21537     fi ;;
    21538   [\\/]* | ?:[\\/]* )  # Absolute path.
    21539     ac_srcdir=$srcdir$ac_dir_suffix;
    21540     ac_top_srcdir=$srcdir ;;
    21541   *) # Relative path.
    21542     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
    21543     ac_top_srcdir=$ac_top_builddir$srcdir ;;
    21544 esac
    21545 
    21546 # Do not use `cd foo && pwd` to compute absolute paths, because
    21547 # the directories may not exist.
    21548 case `pwd` in
    21549 .) ac_abs_builddir="$ac_dest_dir";;
    21550 *)
    21551   case "$ac_dest_dir" in
    21552   .) ac_abs_builddir=`pwd`;;
    21553   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dest_dir";;
    21554   *) ac_abs_builddir=`pwd`/"$ac_dest_dir";;
    21555   esac;;
    21556 esac
    21557 case $ac_abs_builddir in
    21558 .) ac_abs_top_builddir=${ac_top_builddir}.;;
    21559 *)
    21560   case ${ac_top_builddir}. in
    21561   .) ac_abs_top_builddir=$ac_abs_builddir;;
    21562   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
    21563   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
    21564   esac;;
    21565 esac
    21566 case $ac_abs_builddir in
    21567 .) ac_abs_srcdir=$ac_srcdir;;
    21568 *)
    21569   case $ac_srcdir in
    21570   .) ac_abs_srcdir=$ac_abs_builddir;;
    21571   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
    21572   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
    21573   esac;;
    21574 esac
    21575 case $ac_abs_builddir in
    21576 .) ac_abs_top_srcdir=$ac_top_srcdir;;
    21577 *)
    21578   case $ac_top_srcdir in
    21579   .) ac_abs_top_srcdir=$ac_abs_builddir;;
    21580   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
    21581   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
    21582   esac;;
    21583 esac
    21584 
    21585 
    21586   case $srcdir in
    21587   [\\/$]* | ?:[\\/]* ) ac_rel_source=$srcdir/$ac_source ;;
    21588       *) ac_rel_source=$ac_top_builddir$srcdir/$ac_source ;;
    21589   esac
    21590 
    21591   # Try a symlink, then a hard link, then a copy.
    21592   ln -s $ac_rel_source $ac_dest 2>/dev/null ||
    21593     ln $srcdir/$ac_source $ac_dest 2>/dev/null ||
    21594     cp -p $srcdir/$ac_source $ac_dest ||
    21595     { { echo "$as_me:$LINENO: error: cannot link or copy $srcdir/$ac_source to $ac_dest" >&5
    21596 echo "$as_me: error: cannot link or copy $srcdir/$ac_source to $ac_dest" >&2;}
    21597    { (exit 1); exit 1; }; }
    21598 done
    21599 _ACEOF
    21600 cat >>$CONFIG_STATUS <<\_ACEOF
    21601 
    21602 #
    2160321457# CONFIG_COMMANDS section.
    2160421458#
     
    2183121685
    2183221686
    21833 # ...and tell the user, that the configuration finished
    21834 { echo "$as_me:$LINENO: Clp configuration successful" >&5
    21835 echo "$as_me: Clp configuration successful" >&6;}
     21687if test x"$coin_vpath_link_files" = x; then : ; else
     21688  { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     21689echo "$as_me: Creating VPATH links for data files" >&6;}
     21690  for file in $coin_vpath_link_files; do
     21691    rm -f $file
     21692    $LN_S $srcdir/$file $file
     21693  done
     21694fi
     21695
     21696# Define VPATH_DISTCLEANFILES to be everything that needs to be
     21697# cleaned for distclean in a vpath configuration
     21698
     21699VPATH_DISTCLEANFILES="$coin_vpath_link_files"
     21700
     21701if test x$coin_projectdir = xyes; then
     21702  { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
     21703echo "$as_me: Configuration of $PACKAGE_NAME successful" >&6;}
     21704else
     21705  { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
     21706echo "$as_me: Main configuration of $PACKAGE_NAME successful" >&6;}
     21707fi
     21708
  • trunk/Clp/configure.ac

    r784 r786  
    2525AC_CONFIG_SRCDIR(src/ClpCholeskyBase.cpp)
    2626
     27# Where should everything be installed by default?  Here, we want it
     28# to be installed directly in 'bin', 'lib', 'include' subdirectories
     29# of the directory where configure is run.  The default would be
     30# /usr/local.
     31AC_PREFIX_DEFAULT([`pwd`])
     32
    2733#############################################################################
    2834#                         Standard build tool stuff                         #
     
    3238AC_CANONICAL_BUILD
    3339
    34 # Where should everything be installed by default?  Here, we want it
    35 # to be installed directly in 'bin', 'lib', 'include' subdirectories
    36 # of the directory where configure is run.  The default would be
    37 # /usr/local.
    38 AC_PREFIX_DEFAULT([`pwd`])
    39 
    4040# If this project depends on external projects, the Externals file in
    4141# the source root directory contains definition of where to find those
    4242# externals.  The following macro ensures that those externals are
    4343# retrieved by svn if they are not there yet.
    44 AC_COIN_SRCDIR_INIT
     44AC_COIN_PROJECTDIR_INIT
    4545
    4646# Check if user wants to produce debugging code
     
    6464#############################################################################
    6565
    66 AC_COIN_CHECK_READLINE
     66AC_COIN_CHECK_GNU_READLINE
    6767
    6868##############################################################################
     
    9292
    9393# Finally, we let configure write all the output...
    94 AC_OUTPUT
    95 
    96 # ...and tell the user, that the configuration finished
    97 AC_MSG_NOTICE([Clp configuration successful])
     94AC_COIN_FINALIZE
  • trunk/Clp/src/Makefile.in

    r778 r786  
    206206STRIP = @STRIP@
    207207VERSION = @VERSION@
     208VPATH_DISTCLEANFILES = @VPATH_DISTCLEANFILES@
    208209abs_bin_dir = @abs_bin_dir@
    209210abs_include_dir = @abs_include_dir@
  • trunk/Clp/test/Makefile.in

    r778 r786  
    133133STRIP = @STRIP@
    134134VERSION = @VERSION@
     135VPATH_DISTCLEANFILES = @VPATH_DISTCLEANFILES@
    135136abs_bin_dir = @abs_bin_dir@
    136137abs_include_dir = @abs_include_dir@
Note: See TracChangeset for help on using the changeset viewer.